--- /dev/null	2015-01-25 13:29:11.000000000 -0500
+++ new/usr/src/uts/armv6/bcm2835/conf/Mapfile.loader	2015-01-25 13:29:11.521042222 -0500
@@ -0,0 +1,44 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright (c) 2013, Joyent, Inc.  All rights reserved.
+# Copyright (c) 2015, Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
+#
+
+$mapfile_version 2
+
+# NB: Order matters for name-based entry!
+LOAD_SEGMENT text {
+	FLAGS = READ EXECUTE;
+	NOHDR;
+	PADDR = 0x8000;
+	VADDR = 0x8000;
+	MAX_SIZE = 0x2000;
+	OS_ORDER = .text.init .text;
+	ASSIGN_SECTION {
+		IS_NAME = .text.init;
+	};
+	ASSIGN_SECTION {
+		TYPE = PROGBITS;
+		FLAGS = ALLOC !WRITE;
+	};
+};
+
+LOAD_SEGMENT data {
+	FLAGS = READ WRITE;
+	NOHDR;
+	OS_ORDER = .data;
+	ASSIGN_SECTION {
+		TYPE = PROGBITS;
+		FLAGS = ALLOC WRITE;
+	};
+};
